Get Supply Details
http
GET /api/v3/supplies/{supplyId}Base URL: https://marketplace-api.wildberries.ru · Module: orders-fbs · Section: FBS Supplies · Specification doc ↗
Returns supply details.
Request limit per one seller account for FBS assembly orders, supplies, passes and auto-return settings methods:
| Period | Limit | Interval | Burst |
|---|---|---|---|
| 1 min | 300 requests | 200 ms | 20 requests |
One request with 4XX response codes is counted as 10 requests. |
In Sandbox — maximum of 1 request per second for all Marketplace methods in total.
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | Supply |
400 | Bad request | Error |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | Error |
404 | Not found | Error |
429 | Too many requests | object |
Structure 200:
idstring— Supply IDisB2bboolean— Indicator of a B2B sale: -true— B2B sale -false— not B2B sale -null— no value, no assembly orders added to the supplyisPickupPointShipmentAllowedboolean— Whether you can dispatch the order to a pickup point: -false— no -true— yesdoneboolean— An indication that the supply is closed -true— closed -false— opencreatedAtstring— Supply creation date (RFC3339)closedAtstring— Supply close date (RFC3339)scanDtstring— Supply scan date (RFC3339). If"scanDt":null, the supply was not scannednamestring— Supply namecargoTypeinteger<int64>=1|2|3— Type of cargo: -1— small-sized items -2— over dimensional cargo (ODC) -3— dimensional cargo+ (CD+)crossBorderTypeinteger<int32>=0|1— Supply type: -0— Non-Cross-Border -1— Cross-Border -null— no valuedestinationOfficeIdinteger<int64>— ID of the office where assembly tasks for the supply are stored. Ifnull, office ID is not specifiedrecommendedWhIdinteger<int64>— ID of the recommended warehouse for acceptance of the supply for Moscow and Moscow region. The warehouse closest to the customers chain is defined automatically when the supply is transferred to delivery, taking into account the parameters of all assembly orders in the supply. If0, the recommended warehouse is not determinedshippingDtstring— Planned supply shipping date, formatYYYY-MM-DDshippingPointIdinteger<int64>— Shipping point ID. You can get it using a method for getting supply shipping pointsshippingTypestring=selfShipping|transportCompany— Type of shipping to the shipping point: -selfShipping— shipping at the seller's expense -transportCompany— delivery via a transport companywaybillUuidstring— Electronic waybill IDspotAvailableboolean— Whether SPOT is available for this supply: -true— yes. Use the method for getting SPOT data -false— no
Structure 400:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 404:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.orders_fbs import Configuration, ApiClient
from wb_api_client.orders_fbs.api import OrdersFbsApi
cfg = Configuration(access_token="<your WB JWT>")
api = OrdersFbsApi(ApiClient(cfg))
result = api.get_v3_supplies_supply_id(supply_id=...)
print(result)ts
import {
Configuration,
OrdersFbsApi,
} from "@valeryverkhoturov/wb-api-client/orders-fbs";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new OrdersFbsApi(cfg);
const { data } = await api.getV3SuppliesSupplyId(supplyId);
console.log(data);go
import (
"context"
"fmt"
wbordersfbs "github.com/ValeryVerkhoturov/wb-api-client-go/orders_fbs"
)
cfg := wbordersfbs.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbordersfbs.NewAPIClient(cfg)
result, _, err := client.OrdersFbsAPI.GetV3SuppliesSupplyId(context.Background(), supplyId).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.orders_fbs.ApiClient;
import io.github.valeryverkhoturov.wbapi.orders_fbs.SecretString;
import io.github.valeryverkhoturov.wbapi.orders_fbs.api.OrdersFbsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
OrdersFbsApi api = new OrdersFbsApi(client);
System.out.println(api.getV3SuppliesSupplyId(supplyId));php
use ValeryVerkhoturov\WbApiClient\OrdersFbs\Configuration;
use ValeryVerkhoturov\WbApiClient\OrdersFbs\SecretString;
use ValeryVerkhoturov\WbApiClient\OrdersFbs\Api\OrdersFbsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new OrdersFbsApi(new Client(), $config);
print_r($api->getV3SuppliesSupplyId($supply_id));bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый OrdersFbsApi(Настройки);
Сообщить(Клиент.GetV3SuppliesSupplyId(supplyId).Тело);csharp
using ValeryVerkhoturov.WbApiClient.OrdersFbs.Api;
using ValeryVerkhoturov.WbApiClient.OrdersFbs.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new OrdersFbsApi(config);
Console.WriteLine(api.GetV3SuppliesSupplyId(supplyId));rust
use wb_api_client::orders_fbs::apis::{configuration::Configuration, orders_fbs_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = orders_fbs_api::get_v3_supplies_supply_id(&cfg, supply_id).await;
println!("{:#?}", result);
}